<?php
/**
 * @package CG Parallax Module
 * @version 2.0.0 : 2020 September
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2020 ConseilGouz. All Rights Reserved.
 * @author ConseilGouz 
 * 
 * Check Joomla version in subforms
 *
 * 	add <fieldset name="<name>" addfieldpath="/modules/<module>/models/fields">
 *          <field name="joomversionsub" type="joomversionsub" default="j4" class="hidden"/>
 *  and showon="joomversionsub:j3" or showon="joomversionsub:j4" to show fields depending on Joomla version
 
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;

jimport('joomla.form.field.hidden');
class JFormFieldJoomversionsub extends JFormFieldHidden {

	//The field class must know its own type through the variable $type.
	protected $type = 'joomversionsub';
	public function getLabel() {
	}
}

extract($displayData);
$j = new JVersion();
$value="j".substr($j->getShortVersion(), 0,1); 
// suppression du label et renseigne la valeur de joomversion
$script = '
	jQuery(document).ready(function() { // deja dans form
	  jQuery("label[id$=\'joomversionsub-lbl\'").css("display","none"); // hide existing subforms label
	  jQuery("input[id$=\'joomversionsub\'").val("'.$value.'").change();
	})
	jQuery(document).on("subform-row-add",function(event,row) { // dans subform
	  jQuery("label[id$=\'joomversionsub-lbl\'").css("display","none");
	  jQuery("input[id$=\'joomversionsub\'").val("'.$value.'").change();
	})';
Factory::getDocument()->addScriptDeclaration($script);
// Initialize some field attributes.
$class    = ' class="hidden"';
$disabled = $disabled ? ' disabled' : '';
$onchange = $onchange ? ' onchange="' . $onchange . '"' : '';
?>
<input type="hidden" name="<?php
echo $name; ?>" value="<?php
echo htmlspecialchars($value, ENT_COMPAT, 'UTF-8'); ?>"<?php echo $class, $disabled, $onchange; ?> />
